org.eclipse.wst.jsdt.ui.search

## Class PatternQuerySpecification

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.search.QuerySpecification
  - - org.eclipse.wst.jsdt.ui.search.PatternQuerySpecification

    public class PatternQuerySpecification
    extends QuerySpecification

Describes a search query by giving a textual pattern to search for.

This class is not intended to be instantiated or subclassed by clients.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Constructor Summary

Constructors
Constructor and Description
`PatternQuerySpecification(java.lang.String pattern, int searchFor, boolean caseSensitive, int limitTo, IJavaScriptSearchScope scope, java.lang.String scopeDescription)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPattern()` Returns the search pattern the query should search for.
`int` `getSearchFor()` Returns what kind of `IJavaScriptElement` the query should search for.
`boolean` `isCaseSensitive()` Whether the query should be case sensitive.

### Methods inherited from class org.eclipse.wst.jsdt.ui.search.QuerySpecification

`getLimitTo, getScope, getScopeDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternQuerySpecification

    public PatternQuerySpecification(java.lang.String pattern,
                                     int searchFor,
                                     boolean caseSensitive,
                                     int limitTo,
                                     IJavaScriptSearchScope scope,
                                     java.lang.String scopeDescription)

Parameters:
  `pattern` - The string that the query should search for.
  `searchFor` - What kind of `IJavaScriptElement` the query should search for.
  `caseSensitive` - Whether the query should be case sensitive.
  `limitTo` - The kind of occurrence the query should search for.
  `scope` - The scope to search in.
  `scopeDescription` - A human readable description of the search scope.
See Also:
  `SearchPattern.createPattern(java.lang.String, int, int, int)`

### Method Detail

#### isCaseSensitive

    public boolean isCaseSensitive()

Whether the query should be case sensitive.

Returns:
  Whether the query should be case sensitive.

#### getPattern

    public java.lang.String getPattern()

Returns the search pattern the query should search for.

Returns:
  the search pattern
See Also:
  `SearchPattern.createPattern(java.lang.String, int, int, int)`

#### getSearchFor

    public int getSearchFor()

Returns what kind of `IJavaScriptElement` the query should search for.

Returns:
  The kind of `IJavaScriptElement` to search for.
See Also:
  `IJavaScriptSearchConstants`